package ui.model

import domain.Request.AuthorizeRequest
import domain.Request.RegistrationRequest
import domain.Service.authorize.AuthorizeService

class AuthorizeUI(val authorizeService: AuthorizeService) {
    fun authorize(){
        println("email")
        val email = readlnOrNull()
        println("password")
        val password = readlnOrNull()
        checkNotNull(email)
        checkNotNull(password)
        val user = authorizeService.auth(AuthorizeRequest(email = email, password = password))
        println(user.firstName)
    }

    fun registration(){
        println("firstName")
        val firstName = readlnOrNull()
        println("email")
        val email = readlnOrNull()
        println("password")
        val password = readlnOrNull()
        println()
        checkNotNull(email)
        checkNotNull(password)
        checkNotNull(firstName)
        val user = authorizeService.registration(RegistrationRequest(firstName, email, password))
        println(user.firstName)
    }
}