package data.features.authorize

import domain.Request.AuthorizeRequest
import domain.Request.RegistrationRequest
import domain.Response.UserResponse

interface AuthorizeRepository {
    fun auth(authorizeRequest: AuthorizeRequest): UserResponse
    fun registration(request: RegistrationRequest): UserResponse
}